\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - Number Types

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
Namespaces | Functions
long_double.h File Reference
Built-in types

This header provides all necessary functions so the fundamental type `long double` is a model of the concepts `RealEmbeddable` and `FieldWithSqrt`. More...

## Namespaces
| CGAL

## Functions
bool | CGAL::is_finite (long double x)
| Determines whether the argument represents a value in \( \mathbb{R}\).

## Detailed Description

This header provides all necessary functions so the fundamental type `long double` is a model of the concepts `RealEmbeddable` and `FieldWithSqrt`.

Due to rounding errors and overflow `long double` is considered as not exact.